## org.apache.batik.dom.svg
Class SVGLocatableSupport

    java.lang.Object
      org.apache.batik.dom.svg.SVGLocatableSupport

    public class SVGLocatableSupport

extends java.lang.Object

This class provides support for the SVGLocatable interface.

Constructor Summary
`SVGLocatableSupport()` Creates a new SVGLocatable element.

Method Summary
`static org.w3c.dom.svg.SVGRect` `getBBox(org.w3c.dom.Element elt)` To implement `SVGLocatable.getBBox()`.
`static org.w3c.dom.svg.SVGMatrix` `getCTM(org.w3c.dom.Element elt)` To implement `SVGLocatable.getCTM()`.
`static org.w3c.dom.svg.SVGElement` `getFarthestViewportElement(org.w3c.dom.Element elt)` To implement `SVGLocatable.getFarthestViewportElement()`.
`static org.w3c.dom.svg.SVGElement` `getNearestViewportElement(org.w3c.dom.Element e)` To implement `SVGLocatable.getNearestViewportElement()`.
`static org.w3c.dom.svg.SVGMatrix` `getScreenCTM(org.w3c.dom.Element elt)` To implement `SVGLocatable.getScreenCTM()`.
`static org.w3c.dom.svg.SVGMatrix` `getTransformToElement(org.w3c.dom.Element elt, org.w3c.dom.svg.SVGElement element)` To implement `SVGLocatable.getTransformToElement(SVGElement)`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGLocatableSupport

    public SVGLocatableSupport()

  Creates a new SVGLocatable element.

Method Detail

### getNearestViewportElement

    public static org.w3c.dom.svg.SVGElement getNearestViewportElement(org.w3c.dom.Element e)

  To implement `SVGLocatable.getNearestViewportElement()`.

### getFarthestViewportElement

    public static org.w3c.dom.svg.SVGElement getFarthestViewportElement(org.w3c.dom.Element elt)

  To implement `SVGLocatable.getFarthestViewportElement()`.

### getBBox

    public static org.w3c.dom.svg.SVGRect getBBox(org.w3c.dom.Element elt)

  To implement `SVGLocatable.getBBox()`.

### getCTM

    public static org.w3c.dom.svg.SVGMatrix getCTM(org.w3c.dom.Element elt)

  To implement `SVGLocatable.getCTM()`.

### getScreenCTM

    public static org.w3c.dom.svg.SVGMatrix getScreenCTM(org.w3c.dom.Element elt)

  To implement `SVGLocatable.getScreenCTM()`.

### getTransformToElement

    public static org.w3c.dom.svg.SVGMatrix getTransformToElement(org.w3c.dom.Element elt,
                                                                  org.w3c.dom.svg.SVGElement element)
                                                           throws org.w3c.dom.svg.SVGException

  To implement `SVGLocatable.getTransformToElement(SVGElement)`.

  Throws:
    `org.w3c.dom.svg.SVGException`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.